/**
 * 
 */
package eos.agents;

import java.util.*;

import eos.framework.*;
import eos.models.Baseline2Model;
import eos.models.Baseline2Model.*;

/**
 * Sells food and buys labor at a fixed price.
 * 
 * @author Michael Adelson
 */
public class BL2FixedPriceFarm extends Baseline2Farm {
    
    /**
     * Construct a FixedPriceFarm. 
     */
    public BL2FixedPriceFarm(Economy economy, Map<String, Good> goods) {
        super(economy, goods);
    }

    /*
     * (non-Javadoc)
     * 
     * @see eos.models.Farm#bid()
     */
    protected void baseLine2FarmSubclassAct() {
        // buy labor
        double laborQuantity = this.money.getQuantity()
                / Baseline2Model.HISTORICAL_LABOR_PRICE;
        laborQuantity = Math.min(laborQuantity, 60 / 2.5);
        if (laborQuantity > 0.0)
            this.laborMarket.addBuyOffer(this, laborQuantity,
                    Baseline2Model.HISTORICAL_LABOR_PRICE);

        // sell food
        if (this.food.getQuantity() > 0.0)
            this.foodMarket.addSellOffer(this, this.food.getQuantity(),
                    Baseline2Model.HISTORICAL_FOOD_PRICE);
    }

}
