/**
 * 
 */
package eos.io;

/**
 * Interface for MultiRunPrinters: Printers that can be shared by multiple
 * economies to produce side-by-side data output. See CSVMultiRunPrinter.
 * 
 * @author Michael Adelson
 */
public interface MultiRunPrinter {
    /**
     * Perform general cleanup for this Printer. All Printers implement the
     * method cleanup(economy). For MultiRunPrinters, that method should be used
     * for economy-specific cleanup (such as freeing any references for garbage
     * collection) while this method performs general cleanup procedures.
     */
    void cleanup();
}
